import { LitElement, property, html, customElement } from 'lit-element';
import { TemplateResult } from 'lit-html';

@customElement('wcc-defaultelement')
export class WccDefaultElement extends LitElement {
  public static demo = html`<wcc-defaultelement></wcc-defaultelement>`;

  @property()
  public footerText = `Lossless GmbH - 2018`;

  constructor() {
    super();

    // you have access to all kinds of things through this.
    // this.setAttribute('gotIt','true');
    
  }

  public render(): TemplateResult {
    return html`
      <style>
        @import url('https://fonts.googleapis.com/css?family=Roboto');
        :host {
          font-family: 'Roboto', sans-serif;
          background: #333;
          text-align: center;
          padding:30px;
          box-shadow: 0px 0px 5px rgba(0,0,0,0.6);
          display: block;
          box-sizing: border-box;
          color: #fff;
          font-size: 30px;
        }
        :host([hidden]) {
          display: none;
        }
      </style>
      No Element specified!
    `;
  }
}
